class MesalibGlw < Formula
  desc "Open-source implementation of the OpenGL specification"
  homepage "https://www.mesa3d.org"
  url "https://archive.mesa3d.org/glw/glw-8.0.0.tar.bz2"
  sha256 "2da1d06e825f073dcbad264aec7b45c649100e5bcde688ac3035b34c8dbc8597"
  license "SGI-OpenGL"
  revision 1

  # Official[^1] git repository has been archived[^2]
  #
  # [^1]: https://docs.mesa3d.org/faq.html?highlight=glw#where-is-the-glw-library
  # [^2]: https://gitlab.freedesktop.org/mesa/glw
  deprecate! date: "2024-10-09", because: :repo_archived

  depends_on "pkgconf" => :build
  depends_on "libx11"
  depends_on "libxt"
  depends_on "mesa"

  def install
    args = []
    args << "--build=aarch64-unknown-linux-gnu" if OS.linux? && Hardware::CPU.arm? && Hardware::CPU.is_64_bit?

    system "./configure", *args, *std_configure_args
    system "make", "install"
  end
end
